# Retrieve Usage Limits Details
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/usage-limits-management/retrieve-usage-limits-details/index.md

## Overview {#overview}

The use case describes how you retrieve the usage limit details stored in the CMS.

## Sequence diagram {#sequence-diagram}

Diagram retrieve-usage-limits-details1

### Explanation {#explanation}

1. The server sends a `GET` request to the `/contracts/{contract_id}/usage-limits` endpoint by passing a list of usage limits to be returned in the `usage_limit_codes` query parameter.  
   To retrieve the usage limits for the account contract or card contract, the server must put the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path. Tip: The `usage_limit_codes` is serialized with `explode: false`, so it must be separated with a comma. For example, `/contracts/{contract_id}/usage-limits?usage_limit_codes=ATM_DAY,ATM_MONTH`.
2. The API returns details for each of the requested usage limit. The response contains the following:
   * usage limit's parameters
   * the current usage information that includes `usedAmount` and `usedNumber` (amount and the number of already performed transactions, respectively)  
     Refer to [Endpoint](https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/usage-limits-management/retrieve-usage-limits-details/index.md#endpoint) to check the complete list of data returned by the endpoint. Note: If you do not specify any `usage_limit_codes` in the query parameter, the API will return HTTP code `200` without any data. Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/usage-limits-management/retrieve-usage-limits-details/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `GET /contracts/{contract_id}/usage-limits`

